org.wildfly.swarm.config.infinispan.cache_container

## Class TransactionComponent<T extends TransactionComponent<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.TransactionComponent<T>

-     public class TransactionComponent<T extends TransactionComponent<T>>
      extends Object

  The cache transaction configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TransactionComponent.Locking`
    `static class` | `TransactionComponent.Mode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `commits()` The number of transaction commits.
    `T` | `commits(Long value)` The number of transaction commits.
    `String` | `getKey()`
    `TransactionComponent.Locking` | `locking()` The locking mode for this cache, one of OPTIMISTIC or PESSIMISTIC.
    `T` | `locking(TransactionComponent.Locking value)` The locking mode for this cache, one of OPTIMISTIC or PESSIMISTIC.
    `TransactionComponent.Mode` | `mode()` Sets the cache transaction mode to one of NONE, NON_XA, NON_DURABLE_XA, FULL_XA.
    `T` | `mode(TransactionComponent.Mode value)` Sets the cache transaction mode to one of NONE, NON_XA, NON_DURABLE_XA, FULL_XA.
    `Long` | `prepares()` The number of transaction prepares.
    `T` | `prepares(Long value)` The number of transaction prepares.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `rollbacks()` The number of transaction rollbacks.
    `T` | `rollbacks(Long value)` The number of transaction rollbacks.
    `Long` | `stopTimeout()` If there are any ongoing transactions when a cache is stopped, Infinispan waits for ongoing remote and local transactions to finish.
    `T` | `stopTimeout(Long value)` If there are any ongoing transactions when a cache is stopped, Infinispan waits for ongoing remote and local transactions to finish.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionComponent

          public TransactionComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### commits

          public Long commits()

      The number of transaction commits. May return null if the cache is not started.

    - #### commits

          public T commits(Long value)

      The number of transaction commits. May return null if the cache is not started.

    - #### locking

          public TransactionComponent.Locking locking()

      The locking mode for this cache, one of OPTIMISTIC or PESSIMISTIC.

    - #### locking

          public T locking(TransactionComponent.Locking value)

      The locking mode for this cache, one of OPTIMISTIC or PESSIMISTIC.

    - #### mode

          public TransactionComponent.Mode mode()

      Sets the cache transaction mode to one of NONE, NON_XA, NON_DURABLE_XA, FULL_XA.

    - #### mode

          public T mode(TransactionComponent.Mode value)

      Sets the cache transaction mode to one of NONE, NON_XA, NON_DURABLE_XA, FULL_XA.

    - #### prepares

          public Long prepares()

      The number of transaction prepares. May return null if the cache is not started.

    - #### prepares

          public T prepares(Long value)

      The number of transaction prepares. May return null if the cache is not started.

    - #### rollbacks

          public Long rollbacks()

      The number of transaction rollbacks. May return null if the cache is not started.

    - #### rollbacks

          public T rollbacks(Long value)

      The number of transaction rollbacks. May return null if the cache is not started.

    - #### stopTimeout

          public Long stopTimeout()

      If there are any ongoing transactions when a cache is stopped, Infinispan waits for ongoing remote and local transactions to finish. The amount of time to wait for is defined by the cache stop timeout.

    - #### stopTimeout

          public T stopTimeout(Long value)

      If there are any ongoing transactions when a cache is stopped, Infinispan waits for ongoing remote and local transactions to finish. The amount of time to wait for is defined by the cache stop timeout.

Copyright © 2017 JBoss by Red Hat. All rights reserved.